## org.opencyc.uml.statemachine
Class PseudoState

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.StateVertex
                        |
                        +--org.opencyc.uml.statemachine.PseudoState

public class PseudoState
extends StateVertex

PseudoState from the UML State_Machines package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected int` `kind` the kind of PseudoState
`static int` `PK_CHOICE`
`static int` `PK_DEEPHISTORY`
`static int` `PK_FORK`
`static int` `PK_INITIAL`
`static int` `PK_JOIN`
`static int` `PK_JUNCTION`
`static int` `PK_SHALLOWHISTORY`

Fields inherited from class org.opencyc.uml.statemachine.StateVertex
`container, incoming, outgoing`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`PseudoState()` Constructs a new StateVertex object.

Method Summary
`int` `getKind()` Gets the kind of PseudoState
`void` `setKind(int kind)` Sets the kind of PseudoState

Methods inherited from class org.opencyc.uml.statemachine.StateVertex
`getContainer, getIncoming, getOutgoing, setContainer, setIncoming, setOutgoing`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kind

    protected int kind

  the kind of PseudoState

### PK_CHOICE

    public static final int PK_CHOICE

### PK_DEEPHISTORY

    public static final int PK_DEEPHISTORY

### PK_FORK

    public static final int PK_FORK

### PK_INITIAL

    public static final int PK_INITIAL

### PK_JOIN

    public static final int PK_JOIN

### PK_JUNCTION

    public static final int PK_JUNCTION

### PK_SHALLOWHISTORY

    public static final int PK_SHALLOWHISTORY

Constructor Detail

### PseudoState

    public PseudoState()

  Constructs a new StateVertex object.

Method Detail

### getKind

    public int getKind()

  Gets the kind of PseudoState
  Returns:
    the kind of PseudoState

### setKind

    public void setKind(int kind)

  Sets the kind of PseudoState
  Parameters:
    `kind` - the kind of PseudoState